Subject: Re: [PATCH 3/3] diff: correct warning message when renameLimit exceeded

From: Junio C Hamano <[email-masked]>
Date: Tue, 13 Jul 2021 18:10:34 -0700

Elijah Newren <[email-masked]> writes:

> The exhaustiveness of the quadratic portion comes from comparing each
> file to more other files, not in using a different type of comparison.

Exactly.  By culling potential matches early with heuristics, we
make a trade-off of risking false-negatives but save a lot of cycles
while trying to find "renames with modifications (which is what we
called 'inexact rename')", and my comment equated  fewer false-negatives
with more precision.